<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Zeus client test</title>
  <script src="./lib/zeus.js"></script>
</head>
<body>

<style>
  body {
    background-image: url("https://i.ytimg.com/vi/Jydr0kw5LYA/maxresdefault.jpg");
  }
</style>

<script type="module">
  // console.log(
  //   Zeus.currentDevice({ header: 'test', manufacturerId: 1, tags: [ 'v1' ], dark: true })
  // )

  Zeus.requestDevice({
    header: 'test',
    manufacturerId: 1,
    tags: [ 'v1' ],
    dark: true,
    button: 'Choose device',
    eager: false,
    rerequest: true
  }, device => {
    console.log(device)
  })

  // const device = Zeus().device({
  //   manufacturerId: 1,
  //   deviceNumber: 2,
  //   tags: [ "Boiler" ]
  // }, {
  //   role: "Admin",
  //   pass: "password"
  // });
  //
  // device.submit([ 1, 2 ], { userId: 1, userName: "John" }, { delivery: Delivery.AT_LEAST_ONCE })
    // .then(response => console.log(response.commandId));

  // let subscription = device.deviceEventStream({ onEvent: (event) => console.log(JSON.stringify(event, null, 2)) });
  //
  // setTimeout(() => subscription.unsubscribe(), 5000);

</script>

</body>
</html>